import { PolyScene } from '../PolyScene';
import { BaseCameraObjNodeType } from '../../nodes/obj/_BaseCamera';
export declare class CamerasController {
    private scene;
    constructor(scene: PolyScene);
    _masterCameraNodePath: string | null;
    setMasterCameraNodePath(camera_node_path: string): void;
    masterCameraNodePath(): string | null;
    masterCameraNode(): BaseCameraObjNodeType | null;
    private _find_any_camera;
}
